import grok
from waeup.sirp.interfaces import IWAeUPObject
from zope.annotation.attribute import AttributeAnnotations
from zope.annotation.interfaces import IAnnotations

class WAeUPAttributeAnnotations(AttributeAnnotations, grok.Adapter):
    """An adapter to IAnnotations for any WAeUPObject.

    Providing this adapter, each WAeUP object becomes (attribute)
    annotatable.
    """
    grok.provides(IAnnotations)
    grok.context(IWAeUPObject)
